OpenID Connect UserInfo
GEThttps://auth.agribus-connect.net/v1/oidc/userinfo
Returns user claims for the authenticated user
Authentication
Requires a Bearer token (JWT)
Parameters
| Name | In | Type | Description |
|---|---|---|---|
Authorization * | header | string | Bearer access token |
curl example
curl -X GET 'https://auth.agribus-connect.net/v1/oidc/userinfo' \
-H 'Authorization: Bearer <access_token>'Responses
200 — OK · application/json UserInfoResponse
{
"sub": "string",
"name": "string",
"given_name": "string",
"family_name": "string",
"email": "string",
"email_verified": true,
"username": "string",
"groups": [
"string"
]
}